/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.blogs.rest.internal.application;

import com.liferay.blogs.rest.internal.resource.BlogsRootResource;
import com.liferay.portal.kernel.util.SetUtil;

import java.util.Collections;
import java.util.Set;

import javax.ws.rs.ApplicationPath;
import javax.ws.rs.core.Application;

import org.osgi.service.component.annotations.Component;
import org.osgi.service.component.annotations.Reference;

/**
 * @author Alejandro Hernández
 */
@ApplicationPath("/")
@Component(immediate = true, service = Application.class)
public class BlogsJaxRsApplication extends Application {

	@Override
	public Set<Object> getSingletons() {
		return SetUtil.fromCollection(
			Collections.singletonList(_blogsRootResource));
	}

	@Reference
	private BlogsRootResource _blogsRootResource;

}