/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.blogs.rest.internal.model;

import com.liferay.blogs.model.BlogsEntry;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * @author Alejandro Hernández
 */
@XmlRootElement
public class BlogsEntryModel {

	public BlogsEntryModel() {
	}

	public BlogsEntryModel(BlogsEntry blogsEntry) {
		_content = blogsEntry.getContent();
		_entryId = blogsEntry.getEntryId();
		_title = blogsEntry.getTitle();
	}

	public String getContent() {
		return _content;
	}

	@XmlElement(name = "id")
	public long getEntryId() {
		return _entryId;
	}

	public String getTitle() {
		return _title;
	}

	public void setContent(String content) {
		_content = content;
	}

	public void setEntryId(long entryId) {
		_entryId = entryId;
	}

	public void setTitle(String title) {
		_title = title;
	}

	private String _content;
	private long _entryId;
	private String _title;

}