/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.blogs.rest.internal.resource;

import com.liferay.blogs.model.BlogsEntry;
import com.liferay.blogs.rest.internal.model.BlogsEntryModel;

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;

/**
 * @author Alejandro Hernández
 */
public class BlogsEntryResource {

	public BlogsEntryResource(BlogsEntry blogsEntry) {
		_blogsEntry = blogsEntry;
	}

	@GET
	@Path("/")
	@Produces("application/json")
	public BlogsEntryModel getBlogsEntryModel() {
		return new BlogsEntryModel(_blogsEntry);
	}

	private final BlogsEntry _blogsEntry;

}